lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Earl Hood <e...@earlhood.com>
Subject Re: Questions regarding upgrading from 2.2.x -> 2.9.x -> 3.1.x
Date Wed, 14 Sep 2011 20:31:23 GMT
On Wed, Sep 14, 2011 at 3:08 PM, Charlie Hubbard wrote:
> I posted some questions to stackoverflow regarding how to upgrade from 2.2.x
> to 3.1.x.  Hadn't gotten a response so I thought I'd try here.  Would repost
> the full question here, but it looks prettier over there:
>
> http://stackoverflow.com/questions/7383428/questions-on-upgrading-lucene-from-2-2-to-2-9-to-3-1

Do not have the time right now to give you details,
but on a project I worked on, when we upgraded from
2.4.1 to 3.0, we had to rebuild indexes.  We
got erroneous results for some searches when
using 3.0 Lucene against 2.4 indexes.
Since it was major release upgrade, I was not
surprised that index rebuilds were required.

I agree with your concerns about going from 2->2.9->3.1
and the practicality of doing it out in the field since
in our case, we the indexes were pushed out to multiple
systems vs a centralized server.

Whatever you end up doing, make sure to do tests
since it is likely there may be dependencies on
how you are using Lucene.

It would be beneficial for Lucene users if release
notes were more explicit about compatibility of
older indexes and/or a howto-tech guide for dealing
with lucene upgrades and existing indexes.

--ewh

---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-user-help@lucene.apache.org


Mime
View raw message